# Transmute Framework

Ethereum Integration Middleware for JavaScript Developers.

## Minimal Example?

See `../provider-engine-test-app`.

#### TODO

Add transmute-ipfs setup tests to make sure that hashes exist on travis IPFS node! Implement CLI support for wallets... Use CLI and wallets and package service together, to publish and delete packages.

Setup stripe dev account...

### Commands:

`yarn contracts:regenerate && yarn test`

Useful when testing contacts.

### Special Thanks

- https://github.com/dbrainio/Soltsice
- https://github.com/bitjson/typescript-starter

## Index

### Modules

- Factory
- Interceptor
- Logic
- Patch
- Store

### Enumerations

- FSATypes

### Classes

- AddressSetLib
- AddressSetSpec
- Bytes32SetLib
- Bytes32SetSpec
- Destructible
- EventStore
- EventStoreAdapter
- EventStoreFactory
- EventStoreLib
- Migrations
- Ownable
- PackageManager
- PackageService
- ReadModel
- Relic
- StringUtils
- UIntSetLib
- UIntSetSpec

### Interfaces

- IAdapterMapper
- IDirtyPayload
- IEsEvent
- IFSA
- IReadModel
- IReadModelAdapter
- IReadModelState
- ITransmuteStoreAdapter
- ITransmuteStoreAdapterMap
- ITxReceipt
- IWritableEventParams

### Type aliases

- TransmuteSolidityEncodingType

### Variables

- ACCOUNT_CREATED
- ACCOUNT_NAMED
- ALL
- ES_CREATED
- FACTORY
- MAPPER_ENCODING
- NEW_OWNER
- ProviderEngine
- RECYCLED_TO
- RPC_HOST
- RpcSubprovider
- STATE_REQUIRED_PROPS
- STORE
- Storage
- TransmuteCrypto
- TransmuteSolidityEncodingTypes
- W3
- WL_SET
- WRITE_EVENT_GAS_COST
- WalletSubprovider
- bs58
- db
- ipfs
- ipfsAdapter
- jiff
- jsonLogic
- nodeStorageAdapter
- nodeStorageDB
- state
- util
- web3Utils

### Functions

- arrayToFSA
- bufferToHex
- calculateCostFromRefs
- esEventToFSA
- filterEventsByMeta
- formatHex
- generateTestWallets
- getAccounts
- getDefaultEventStoreAdapter
- getDefaultReadModelAdapter
- getDefaultRelic
- getDefaultWeb3
- getFSAFromEsEventWithPartial
- getFSAType
- getFSAsFromReceipt
- getSetupAsync
- getWeb3FromWalletWithMneumonic
- getWeb3FromWalletWithPrivateKey
- handlePackageDelete
- handlePackageUpdate
- hex2ipfshash
- hexToNumber
- ipfs2hex
- isAdapterEvent
- isHex
- isNativeEvent
- isSimpleStringKeyValue
- isValidAddress
- privateKeyHexToAddress
- reducer
- setLengthLeft
- toAscii
- toChecksumAddress
- updatesFromMeta
- valuesToEsEvent

### Object literals

- Adapter1
- Adapter2
- Address
- Bytes32
- GAS_COSTS
- KeyValue
- UInt
- handlers
- initialState
- isHeroBirthday
- payloadKeyToKeyType
- readModelAdapter

## Type aliases

### TransmuteSolidityEncodingType

TransmuteSolidityEncodingType: "S" | "A" | "B" | "U"

- Defined in Store/EventStoreAdapter/EventStoreAdapterTypes.ts:9

## Variables

### ACCOUNT_CREATED

ACCOUNT_CREATED: "ACCOUNT_CREATED" = "ACCOUNT_CREATED"

- Defined in Store/ReadModel/__mocks__/constants.ts:1

### ACCOUNT_NAMED

ACCOUNT_NAMED: "ACCOUNT_NAMED" = "ACCOUNT_NAMED"

- Defined in Store/ReadModel/__mocks__/constants.ts:2

### ALL

ALL: string[] = [...STORE, ...FACTORY]

- Defined in Store/Events/InternalEventTypes.ts:12

### ES_CREATED

ES_CREATED: "ES_CREATED" = "ES_CREATED"

- Defined in Store/Events/InternalEventTypes.ts:5

### FACTORY

FACTORY: string[] = ['NEW_OWNER', 'RECYCLED_TO', 'ES_CREATED']

- Defined in Store/Events/InternalEventTypes.ts:2

### MAPPER_ENCODING

MAPPER_ENCODING: "I" = "I"

- Defined in PackageService/PackageService.ts:16

### NEW_OWNER

NEW_OWNER: "NEW_OWNER" = "NEW_OWNER"

- Defined in Store/Events/InternalEventTypes.ts:3

### ProviderEngine

ProviderEngine: any = require('web3-provider-engine')

- Defined in __tests__/web3.tests.ts:5

### RECYCLED_TO

RECYCLED_TO: "RECYCLED_TO" = "RECYCLED_TO"

- Defined in Store/Events/InternalEventTypes.ts:4

### RPC_HOST

RPC_HOST: "http://localhost:8545" = "http://localhost:8545"

- Defined in __mocks__/getWeb3.ts:7
- Defined in __tests__/relic.tests.ts:5
- Defined in __tests__/wallet.tests.ts:4
- Defined in __tests__/web3.tests.ts:16

### RpcSubprovider

RpcSubprovider: any = require('web3-provider-engine/subproviders/rpc.js')

- Defined in __tests__/web3.tests.ts:6

### STATE_REQUIRED_PROPS

STATE_REQUIRED_PROPS: string[] = ['contractAddress','readModelType','readModelStoreKey']

- Defined in Store/ReadModel/ReadModel.ts:13

### STORE

STORE: string[] = ['NEW_OWNER', 'RECYCLED_TO', 'WL_SET']

- Defined in Store/Events/InternalEventTypes.ts:8

### Storage

Storage: any = require('node-storage')

- Defined in __mocks__/getReadModelAdapter.ts:5
- Defined in Factory/__tests__/Factory.spec.ts:1
- Defined in PackageService/__tests__/ps.ipfs.tests.ts:12
- Defined in Store/__tests__/bad.events.ts:12
- Defined in Store/__tests__/eventstore.tests.ts:12
- Defined in Store/__tests__/good.events.ts:12

### TransmuteCrypto

TransmuteCrypto: any = require('transmute-crypto')

- Defined in __mocks__/getWeb3.ts:9
- Defined in __tests__/relic.tests.ts:3

### TransmuteSolidityEncodingTypes

TransmuteSolidityEncodingTypes: string[] = ['S', 'A', 'B', 'U']

- Defined in Store/EventStoreAdapter/EventStoreAdapterTypes.ts:8

### W3

W3: any = untypedW3

- Defined in transmute-framework.ts:20

### WL_SET

WL_SET: "WL_SET" = "WL_SET"

- Defined in Store/Events/InternalEventTypes.ts:9

### WRITE_EVENT_GAS_COST

WRITE_EVENT_GAS_COST: 4000000 = 4000000

- Defined in Store/EventStoreAdapter/EventStoreAdapter.ts:14
- Defined in Store/__tests__/bad.events.ts:14
- Defined in Store/__tests__/eventstore.tests.ts:18
- Defined in Store/__tests__/good.events.ts:14
- Defined in __tests__/TransmuteContracts/EventStore/eventstore.tests.ts:16
- Defined in __tests__/TransmuteContracts/EventStore/poisoning.tests.ts:15

### WalletSubprovider

WalletSubprovider: any = require('web3-provider-engine/subproviders/wallet.js')

- Defined in __tests__/web3.tests.ts:7

### bs58

bs58: any = require('bs58')

- Defined in Utils/Utils.ts:1
- Defined in __mocks__/getEventStoreAdapter.ts:14
- Defined in Store/EventStoreAdapter/__tests__/bad.adapter.ts:1
- Defined in Store/EventStoreAdapter/__tests__/good.adapter.ts:1

### db

db: any = new Storage('./read_model_storage')

- Defined in __mocks__/getReadModelAdapter.ts:6
- Defined in PackageService/__tests__/ps.ipfs.tests.ts:13

### ipfs

ipfs: any = ipfsAdapter.getStorage()

- Defined in __mocks__/getEventStoreAdapter.ts:21

### ipfsAdapter

ipfsAdapter: any = require('transmute-adapter-ipfs')

- Defined in __mocks__/getEventStoreAdapter.ts:17

### jiff

jiff: any = require("jiff")

- Defined in Store/ReadModel/Patch/Patch.ts:1

### jsonLogic

jsonLogic: any = require("json-logic-js")

- Defined in Store/ReadModel/Logic/Logic.ts:1

### nodeStorageAdapter

nodeStorageAdapter: any = require('../../../transmute-adapter-node-storage')

- Defined in __mocks__/getEventStoreAdapter.ts:18
- Defined in __mocks__/getReadModelAdapter.ts:1

### nodeStorageDB

nodeStorageDB: any = nodeStorageAdapter.getStorage()

- Defined in __mocks__/getEventStoreAdapter.ts:20
- Defined in __mocks__/getReadModelAdapter.ts:3

### state

state: object = initialState

- Defined in Store/ReadModel/__tests__/applyEvents.tests.ts:7
- Defined in Store/ReadModel/__tests__/sync.tests.ts:15

#### Type declaration

- ##### contractAddress: string

- ##### lastEvent: null

- ##### model: object

- ##### readModelStoreKey: string

- ##### readModelType: string

### util

util: any = require('ethereumjs-util')

- Defined in Utils/Utils.ts:3
- Defined in __mocks__/getEventStoreAdapter.ts:15

### web3Utils

web3Utils: any = require('web3-utils')

- Defined in Utils/Utils.ts:2

## Functions

### arrayToFSA

- arrayToFSA(values: any): IFSA

- - Defined in Store/Events/EventTransformer.ts:151

  #### Parameters

  - ##### values: any

  #### Returns IFSA

### bufferToHex

- bufferToHex(buffer: Buffer): any

- - Defined in Utils/Utils.ts:13

  #### Parameters

  - ##### buffer: Buffer

  #### Returns any

### calculateCostFromRefs

- calculateCostFromRefs(refs: any): number

- - Defined in PackageService/Reducer/reducer.ts:17

  #### Parameters

  - ##### refs: any

  #### Returns number

### esEventToFSA

- esEventToFSA(esEvent: IEsEvent): IFSA

- - Defined in Store/Events/EventTransformer.ts:134

  #### Parameters

  - ##### esEvent: IEsEvent

  #### Returns IFSA

### filterEventsByMeta

- filterEventsByMeta(events: IFSA[], prop: any, propValue: any): any[]

- - Defined in Store/Events/EventTransformer.ts:66

  #### Parameters

  - ##### events: IFSA[]

  - ##### prop: any

  - ##### propValue: any

  #### Returns any[]

### formatHex

- formatHex(h: any): string

- - Defined in Utils/Utils.ts:35

  #### Parameters

  - ##### h: any

  #### Returns string

### generateTestWallets

- generateTestWallets(num: number): Promise<any>

- - Defined in __tests__/relic.tests.ts:7

  #### Parameters

  - ##### num: number

  #### Returns Promise<any>

### getAccounts

- getAccounts(web3: any): Promise<string[]>

- - Defined in __mocks__/getWeb3.ts:11

  #### Parameters

  - ##### web3: any

  #### Returns Promise<string[]>

### getDefaultEventStoreAdapter

- getDefaultEventStoreAdapter(): EventStoreAdapter

- - Defined in __mocks__/getEventStoreAdapter.ts:23

  #### Returns EventStoreAdapter

### getDefaultReadModelAdapter

- getDefaultReadModelAdapter(): Promise<object>

- - Defined in __mocks__/getReadModelAdapter.ts:8

  #### Returns Promise<object>

### getDefaultRelic

- getDefaultRelic(): Relic

- - Defined in __mocks__/getRelic.ts:4

  #### Returns Relic

### getDefaultWeb3

- getDefaultWeb3(): object

- - Defined in __mocks__/getWeb3.ts:22

  #### Returns object

  - ##### web3: Web3

### getFSAFromEsEventWithPartial

- getFSAFromEsEventWithPartial(esEvent: IEsEvent, partialFSA: IFSA): object

- - Defined in Store/Events/EventTransformer.ts:100

  #### Parameters

  - ##### esEvent: IEsEvent

  - ##### partialFSA: IFSA

  #### Returns object

  - ##### payload: any

### getFSAType

- getFSAType(fsa: IFSA): FSATypes

- - Defined in Store/Events/EventTransformer.ts:13

  #### Parameters

  - ##### fsa: IFSA

  #### Returns FSATypes

### getFSAsFromReceipt

- getFSAsFromReceipt(receipt: any): any[]

- - Defined in Store/Events/EventTransformer.ts:56

  #### Parameters

  - ##### receipt: any

  #### Returns any[]

### getSetupAsync

- getSetupAsync(): Promise<object>

- - Defined in __mocks__/setup.ts:16

  #### Returns Promise<object>

### getWeb3FromWalletWithMneumonic

- getWeb3FromWalletWithMneumonic(): object

- - Defined in __mocks__/getWeb3.ts:35

  #### Returns object

  - ##### address: any

  - ##### web3: Web3

### getWeb3FromWalletWithPrivateKey

- getWeb3FromWalletWithPrivateKey(): Promise<object>

- - Defined in __mocks__/getWeb3.ts:53

  #### Returns Promise<object>

### handlePackageDelete

- handlePackageDelete(state: any, action: any): any

- - Defined in PackageService/Reducer/reducer.ts:54

  #### Parameters

  - ##### state: any

  - ##### action: any

  #### Returns any

### handlePackageUpdate

- handlePackageUpdate(state: any, action: any): any

- - Defined in PackageService/Reducer/reducer.ts:26

  #### Parameters

  - ##### state: any

  - ##### action: any

  #### Returns any

### hex2ipfshash

- hex2ipfshash(hash: any): any

- - Defined in Utils/Utils.ts:22

  #### Parameters

  - ##### hash: any

  #### Returns any

### hexToNumber

- hexToNumber(h: any): any

- - Defined in Utils/Utils.ts:37

  #### Parameters

  - ##### h: any

  #### Returns any

### ipfs2hex

- ipfs2hex(ipfshash: any): string

- - Defined in Utils/Utils.ts:26

  #### Parameters

  - ##### ipfshash: any

  #### Returns string

### isAdapterEvent

- isAdapterEvent(fsa: IFSA): boolean

- - Defined in Store/Events/EventTransformer.ts:52

  #### Parameters

  - ##### fsa: IFSA

  #### Returns boolean

### isHex

- isHex(h: any): boolean

- - Defined in Utils/Utils.ts:30

  #### Parameters

  - ##### h: any

  #### Returns boolean

### isNativeEvent

- isNativeEvent(fsa: IFSA): boolean

- - Defined in Store/Events/EventTransformer.ts:37

  #### Parameters

  - ##### fsa: IFSA

  #### Returns boolean

### isSimpleStringKeyValue

- isSimpleStringKeyValue(fsa: IFSA): boolean

- - Defined in Store/Events/EventTransformer.ts:41

  #### Parameters

  - ##### fsa: IFSA

  #### Returns boolean

### isValidAddress

- isValidAddress(address: string): any

- - Defined in Utils/Utils.ts:9

  #### Parameters

  - ##### address: string

  #### Returns any

### privateKeyHexToAddress

- privateKeyHexToAddress(privatKeyHex: any): any

- - Defined in Utils/Utils.ts:45

  #### Parameters

  - ##### privatKeyHex: any

  #### Returns any

### reducer

- reducer(state: any, action: any): any
- reducer(state: any, action: any): any
- reducer(state: any, action: any): any

- - Defined in PackageService/Reducer/reducer.ts:124

  #### Parameters

  - ##### state: any

  - ##### action: any

  #### Returns any

- - Defined in Factory/Reducer/reducer.ts:34

  #### Parameters

  - ##### state: any

  - ##### action: any

  #### Returns any

- - Defined in Store/ReadModel/__mocks__/reducer.ts:40

  #### Parameters

  - ##### state: any

  - ##### action: any

  #### Returns any

### setLengthLeft

- setLengthLeft(_value: string, size: number): any

- - Defined in Utils/Utils.ts:17

  #### Parameters

  - ##### _value: string

  - ##### size: number

  #### Returns any

### toAscii

- toAscii(value: string): any

- - Defined in Utils/Utils.ts:5

  #### Parameters

  - ##### value: string

  #### Returns any

### toChecksumAddress

- toChecksumAddress(address: string): any

- - Defined in Utils/Utils.ts:41

  #### Parameters

  - ##### address: string

  #### Returns any

### updatesFromMeta

- updatesFromMeta(meta: any): object
- updatesFromMeta(meta: any): object
- updatesFromMeta(meta: any): object

- - Defined in PackageService/Reducer/reducer.ts:11

  #### Parameters

  - ##### meta: any

  #### Returns object

  - ##### lastEvent: any

- - Defined in Factory/Reducer/reducer.ts:11

  #### Parameters

  - ##### meta: any

  #### Returns object

  - ##### lastEvent: any

- - Defined in Store/ReadModel/__mocks__/reducer.ts:11

  #### Parameters

  - ##### meta: any

  #### Returns object

  - ##### lastEvent: any

### valuesToEsEvent

- valuesToEsEvent(Id: any, TxOrigin: any, MsgSender: any, Created: any, EventType: any, KeyType: any, ValueType: any, Key: any, Value: any): IEsEvent

- - Defined in Store/Events/EventTransformer.ts:76

  #### Parameters

  - ##### Id: any

  - ##### TxOrigin: any

  - ##### MsgSender: any

  - ##### Created: any

  - ##### EventType: any

  - ##### KeyType: any

  - ##### ValueType: any

  - ##### Key: any

  - ##### Value: any

  #### Returns IEsEvent

## Object literals

### Adapter1

Adapter1: object

- Defined in __mocks__/MarshalledEvents.ts:33

### eventType

eventType: string = "test"

- Defined in __mocks__/MarshalledEvents.ts:34

### key

key: string = "sha1"

- Defined in __mocks__/MarshalledEvents.ts:37

### keyType

keyType: string = "S"

- Defined in __mocks__/MarshalledEvents.ts:35

### value

value: string = "6e37fcc805e971f2668dcda593cfba52"

- Defined in __mocks__/MarshalledEvents.ts:38

### valueType

valueType: string = "N"

- Defined in __mocks__/MarshalledEvents.ts:36

### Adapter2

Adapter2: object

- Defined in __mocks__/MarshalledEvents.ts:41

### eventType

eventType: string = "test"

- Defined in __mocks__/MarshalledEvents.ts:42

### key

key: string = "multihash"

- Defined in __mocks__/MarshalledEvents.ts:45

### keyType

keyType: string = "S"

- Defined in __mocks__/MarshalledEvents.ts:43

### value

value: string = "0xce66b612ec7e1f01b62cece1b4849716005c37af4f6b578f8b9d69dbc68a7e46"

- Defined in __mocks__/MarshalledEvents.ts:46

### valueType

valueType: string = "I"

- Defined in __mocks__/MarshalledEvents.ts:44

### Address

Address: object

- Defined in __mocks__/MarshalledEvents.ts:9

### eventType

eventType: string = "test"

- Defined in __mocks__/MarshalledEvents.ts:10

### key

key: string = "address"

- Defined in __mocks__/MarshalledEvents.ts:13

### keyType

keyType: string = "S"

- Defined in __mocks__/MarshalledEvents.ts:11

### value

value: string = "0x00000000000000000000000001000c268181f5d90587392ff67ada1a16393fe4"

- Defined in __mocks__/MarshalledEvents.ts:14

### valueType

valueType: string = "A"

- Defined in __mocks__/MarshalledEvents.ts:12

### Bytes32

Bytes32: object

- Defined in __mocks__/MarshalledEvents.ts:17

### eventType

eventType: string = "test"

- Defined in __mocks__/MarshalledEvents.ts:18

### key

key: string = "bytes32"

- Defined in __mocks__/MarshalledEvents.ts:21

### keyType

keyType: string = "S"

- Defined in __mocks__/MarshalledEvents.ts:19

### value

value: string = "0x000000000000000000000000000000000000000000000000000000000000000A"

- Defined in __mocks__/MarshalledEvents.ts:22

### valueType

valueType: string = "B"

- Defined in __mocks__/MarshalledEvents.ts:20

### GAS_COSTS

GAS_COSTS: object

- Defined in Store/Store.ts:10

### WRITE_EVENT

WRITE_EVENT: number = 4000000

- Defined in Store/Store.ts:11

### KeyValue

KeyValue: object

- Defined in __mocks__/MarshalledEvents.ts:1

### eventType

eventType: string = "test"

- Defined in __mocks__/MarshalledEvents.ts:2

### key

key: string = "key"

- Defined in __mocks__/MarshalledEvents.ts:5

### keyType

keyType: string = "S"

- Defined in __mocks__/MarshalledEvents.ts:3

### value

value: string = "value"

- Defined in __mocks__/MarshalledEvents.ts:6

### valueType

valueType: string = "S"

- Defined in __mocks__/MarshalledEvents.ts:4

### UInt

UInt: object

- Defined in __mocks__/MarshalledEvents.ts:25

### eventType

eventType: string = "test"

- Defined in __mocks__/MarshalledEvents.ts:26

### key

key: string = "uint"

- Defined in __mocks__/MarshalledEvents.ts:29

### keyType

keyType: string = "S"

- Defined in __mocks__/MarshalledEvents.ts:27

### value

value: string = "0x0000000000000000000000000000000000000000000000000000000000000000"

- Defined in __mocks__/MarshalledEvents.ts:30

### valueType

valueType: string = "U"

- Defined in __mocks__/MarshalledEvents.ts:28

### handlers

handlers: object

- Defined in PackageService/Reducer/reducer.ts:78
- Defined in Factory/Reducer/reducer.ts:17
- Defined in Store/ReadModel/__mocks__/reducer.ts:17

### PACKAGE_DELETED

- PACKAGE_DELETED(state: any, action: any): any

- - Defined in PackageService/Reducer/reducer.ts:111

  #### Parameters

  - ##### state: any

  - ##### action: any

  #### Returns any

### PACKAGE_UPDATED

- PACKAGE_UPDATED(state: any, action: any): any

- - Defined in PackageService/Reducer/reducer.ts:101

  #### Parameters

  - ##### state: any

  - ##### action: any

  #### Returns any

### __computed

- __computed(state: any, action: any): any
- __computed(state: any, action: any): any
- __computed(state: any, action: any): any
- __computed(state: any, action: any): any
- __computed(state: any, action: any): any

- - Defined in PackageService/Reducer/reducer.ts:79

  #### Parameters

  - ##### state: any

  - ##### action: any

  #### Returns any

- - Defined in PackageService/Reducer/reducer.ts:90

  #### Parameters

  - ##### state: any

  - ##### action: any

  #### Returns any

- - Defined in Factory/Reducer/reducer.ts:18

  #### Parameters

  - ##### state: any

  - ##### action: any

  #### Returns any

- - Defined in Store/ReadModel/__mocks__/reducer.ts:18

  #### Parameters

  - ##### state: any

  - ##### action: any

  #### Returns any

- - Defined in Store/ReadModel/__mocks__/reducer.ts:28

  #### Parameters

  - ##### state: any

  - ##### action: any

  #### Returns any

### initialState

initialState: object

- Defined in PackageService/Reducer/reducer.ts:3
- Defined in Factory/Reducer/reducer.ts:3
- Defined in Store/ReadModel/__mocks__/reducer.ts:3

### contractAddress

contractAddress: string = "0x0000000000000000000000000000000000000000"

- Defined in PackageService/Reducer/reducer.ts:6
- Defined in Factory/Reducer/reducer.ts:6
- Defined in Store/ReadModel/__mocks__/reducer.ts:6

### lastEvent

lastEvent: null = null

- Defined in PackageService/Reducer/reducer.ts:7
- Defined in Factory/Reducer/reducer.ts:7
- Defined in Store/ReadModel/__mocks__/reducer.ts:7

### model

model: object

- Defined in PackageService/Reducer/reducer.ts:8
- Defined in Factory/Reducer/reducer.ts:8
- Defined in Store/ReadModel/__mocks__/reducer.ts:8

#### Type declaration

### readModelStoreKey

readModelStoreKey: string = ""

- Defined in PackageService/Reducer/reducer.ts:4
- Defined in Factory/Reducer/reducer.ts:4
- Defined in Store/ReadModel/__mocks__/reducer.ts:4

### readModelType

readModelType: string = "MockReadModel"

- Defined in PackageService/Reducer/reducer.ts:5
- Defined in Factory/Reducer/reducer.ts:5
- Defined in Store/ReadModel/__mocks__/reducer.ts:5

### isHeroBirthday

isHeroBirthday: object

- Defined in Store/ReadModel/Logic/__mocks__/jsonLogic.ts:1

### and

and: object[] = [{"==": [{var: "hero.birthday"},{var: "date"}]}]

- Defined in Store/ReadModel/Logic/__mocks__/jsonLogic.ts:2

### payloadKeyToKeyType

payloadKeyToKeyType: object

- Defined in Store/Events/EventTransformer.ts:29

### address

address: string = "A"

- Defined in Store/Events/EventTransformer.ts:32

### bytes32

bytes32: string = "B"

- Defined in Store/Events/EventTransformer.ts:33

### uint

uint: string = "U"

- Defined in Store/Events/EventTransformer.ts:34

### readModelAdapter

readModelAdapter: object

- Defined in PackageService/__tests__/ps.ipfs.tests.ts:15

### getItem

- getItem(id: string): any

- - Defined in PackageService/__tests__/ps.ipfs.tests.ts:16

  #### Parameters

  - ##### id: string

  #### Returns any

### setItem

- setItem(id: string, value: any): any

- - Defined in PackageService/__tests__/ps.ipfs.tests.ts:19

  #### Parameters

  - ##### id: string

  - ##### value: any

  #### Returns any

Generated using TypeDoc